ignite-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Denis Magda <dma...@apache.org>
Subject Re: Time to drop Java 7?
Date Fri, 01 Dec 2017 17:43:42 GMT
> Is my understanding correct, that the level of the VM for the source code
> will be 8?

Exactly! 

—
Denis

> On Dec 1, 2017, at 3:06 AM, Dmitry Pavlov <dpavlov.spb@gmail.com> wrote:
> 
> +1.
> 
> I am sincerely glad that we are ready to do this!
> 
> Is my understanding correct, that the level of the VM for the source code
> will be 8?
> 
> пт, 1 дек. 2017 г. в 13:32, Andrey Gura <agura@apache.org>:
> 
>> Good news for everyone )
>> 
>> 30 нояб. 2017 г. 11:29 PM пользователь "Dmitriy Setrakyan" <
>> dsetrakyan@apache.org> написал:
>> 
>>> +1
>>> 
>>> On Thu, Nov 30, 2017 at 11:29 AM, Denis Magda <dmagda@apache.org> wrote:
>>> 
>>>> Igniters,
>>>> 
>>>> Considering that we’re going to support Java 9 in the next release and
>>>> hitting several limitations caused by current Java 7 support (see spark
>>>> issue [2] and account difficulties of Java 8 based ML development) I
>>> would
>>>> propose to discontinue Java 7.
>>>> 
>>>> Let’s do both things in AI 2.4: Java 9 support and Java 7 removal.
>>>> 
>>>> Share your thoughts on this?
>>>> 
>>>> [1] http://apache-ignite-developers.2346864.n4.nabble.
>>>> com/Java-9-support-td23612.html
>>>> [2] http://apache-ignite-developers.2346864.n4.nabble.
>>>> com/TC-issues-IGNITE-3084-Spark-Data-Frame-API-td24639.html <
>>>> http://apache-ignite-developers.2346864.n4.nabble.
>>>> com/TC-issues-IGNITE-3084-Spark-Data-Frame-API-td24639.html>
>>>> 
>>>> —
>>>> Denis
>>> 
>> 


Mime
View raw message